## profile/txt2ti3

### Summary

Convert Gretag/Logo/X-Rite/Barbieri or other CGATS format RGB or CMYK test chart results into Argyll .ti3 CGATS format.

### Usage Summary

txt2ti3 [-v] [-l limit] [-d] [devfile] infile [specfile] outbase
-2 create a dummy .ti2 file as well.
-l limit set ink limit, 0 - 400% (default max in file)
-d Set type of device as Display, not Output
-i Set type of device as Input, not Output
[devfile] Input Device CMYK target file (typically file.txt)
infile Input CIE, Spectral or Device & Spectral file (typically file.txt)
[specfile] Input Spectral file (typically file.txt)
outbasefile Base name for output.ti3 and .ti2 file

### Usage Details and Discussion

txt2ti3 takes the Gretag/Logo/X-Rite/Barbieri/etc. test chart results, and converts them into Argyll .ti3 CGATS files.
It is quite common to find profile test chart data from various standards bodies and industry organizations in one of these formats, so it is useful to be able to convert them for use with Argyll. ICC profiles created using Gretag Profile Maker also commonly contain the test chart results embedded in the profile, inside an ICC tag.
A variety of different packaging of Gretag/Logo/X-Rite/Barbieri data can be accepted:
1 source files, consisting of a combined device value and CIE and/or spectral values.
2 source files, consisting of a file containing the device values, and a file containing the CIE and/or spectral values.
2 source files, consisting of a file containing the device values and the CIE values, and a file containing the spectral values.
3 source files, consisting of a file containing the device values, a file containing the CIE values, and a file containing the spectral values.
X-Rite ColorPort seems to produce a single source file containing combined device value and CIE and/or spectral values.
The Gretag/Logo test chart results format seem to change with each minor release of Profile Maker, so this tool may not work in all cases.
Use the Barbieri .CIE file
The outbasefile is the base of the output file(s), to which txt2ti3 will automatically append a .ti3 and .ti2 extension.
The input files may have data that is scaled to one of three levels: 1.0, 100.0 or 255.0, and txt2ti3 attempts to guess what the appropriate range is, in order to scale to Argyll's standard range 0 .. 100.0.